"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Converter for hexadecimal RGB colour representation.
 */
var FromHex = /** @class */ (function () {
    function FromHex() {
    }
    /**
     * Converts hex colour into RGB8 object.
     * @param {string} hex
     * @returns {RGB8}
     */
    FromHex.toRGB8 = function (hex) {
        var length = hex.length;
        var r;
        var g;
        var b;
        if (length === 3) {
            r = hex[0] + hex[0];
            g = hex[1] + hex[1];
            b = hex[2] + hex[2];
        }
        else if (length === 6) {
            r = hex.slice(0, 2);
            g = hex.slice(2, 4);
            b = hex.slice(4, 6);
        }
        return {
            r: parseInt(r, 16),
            g: parseInt(g, 16),
            b: parseInt(b, 16),
        };
    };
    return FromHex;
}());
exports.FromHex = FromHex;
